This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 880842 - Review Request: pam_url - PAM module to authenticate with HTTP servers
Review Request: pam_url - PAM module to authenticate with HTTP servers
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nick Bebout
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-27 16:16 EST by Konstantin Ryabitsev
Modified: 2013-01-11 20:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-10 13:53:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
nb: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Konstantin Ryabitsev 2012-11-27 16:16:28 EST
Spec URL: http://fedorapeople.org/~icon/f/pam_url.spec
SRPM URL: http://fedorapeople.org/~icon/f/pam_url-0.2-1.fc17.src.rpm
Description: 
The pam_url module enables you to authenticate users against a Web application,
such as totpcgi.
Fedora Account System Username: icon
Comment 1 Nick Bebout 2012-11-27 16:18:38 EST
I will review this.
Comment 2 Nick Bebout 2012-11-27 17:11:04 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[x] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/nb/880842-pam_url/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: No %config files under /usr.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 7 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: pam_url-0.2-1.fc17.x86_64.rpm
          pam_url-0.2-1.fc17.src.rpm
          pam_url-debuginfo-0.2-1.fc17.x86_64.rpm
pam_url.x86_64: W: spelling-error %description -l en_US url -> URL, curl, purl
pam_url.x86_64: W: spelling-error %description -l en_US totpcgi -> totting
pam_url.x86_64: W: incoherent-version-in-changelog 0.2-1 ['1:0.2-1.fc17', '1:0.2-1']
pam_url.x86_64: W: install-file-in-docs /usr/share/doc/pam_url-0.2/INSTALL
pam_url.src: W: spelling-error %description -l en_US pam -> map, Pam, pan
pam_url.src: W: spelling-error %description -l en_US url -> URL, curl, purl
pam_url.src: W: spelling-error %description -l en_US totpcgi -> totting
pam_url.src: W: invalid-url Source0: https://fedorahosted.org/releases/p/a/pam_url/pam_url-0.2.tar.bz2 <urlopen error _ssl.c:489: The handshake operation timed out>
pam_url-debuginfo.x86_64: W: spelling-error Summary(en_US) pam -> map, Pam, pan
pam_url-debuginfo.x86_64: W: spelling-error Summary(en_US) url -> URL, curl, purl
pam_url-debuginfo.x86_64: W: spelling-error %description -l en_US pam -> map, Pam, pan
pam_url-debuginfo.x86_64: W: spelling-error %description -l en_US url -> URL, curl, purl
3 packages and 0 specfiles checked; 0 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint pam_url-debuginfo pam_url
pam_url-debuginfo.x86_64: W: spelling-error Summary(en_US) pam -> map, Pam, pan
pam_url-debuginfo.x86_64: W: spelling-error Summary(en_US) url -> URL, curl, purl
pam_url-debuginfo.x86_64: W: spelling-error %description -l en_US pam -> map, Pam, pan
pam_url-debuginfo.x86_64: W: spelling-error %description -l en_US url -> URL, curl, purl
pam_url.x86_64: W: spelling-error %description -l en_US url -> URL, curl, purl
pam_url.x86_64: W: spelling-error %description -l en_US totpcgi -> totting
pam_url.x86_64: W: incoherent-version-in-changelog 0.2-1 ['1:0.2-1.fc17', '1:0.2-1']
pam_url.x86_64: W: install-file-in-docs /usr/share/doc/pam_url-0.2/INSTALL
2 packages and 0 specfiles checked; 0 errors, 8 warnings.
# echo 'rpmlint-done:'



Requires
--------
pam_url-0.2-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    config(pam_url) = 1:0.2-1.fc17
    libc.so.6()(64bit)  
    libconfig.so.9()(64bit)  
    libcurl.so.4()(64bit)  
    libpam.so.0()(64bit)  
    libpam.so.0(LIBPAM_1.0)(64bit)  
    libpam.so.0(LIBPAM_EXTENSION_1.0)(64bit)  
    libpthread.so.0()(64bit)  
    pam  
    rtld(GNU_HASH)  

pam_url-debuginfo-0.2-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    



Provides
--------
pam_url-0.2-1.fc17.x86_64.rpm:
    
    config(pam_url) = 1:0.2-1.fc17
    pam_url = 1:0.2-1.fc17
    pam_url(x86-64) = 1:0.2-1.fc17
    pam_url.so()(64bit)  

pam_url-debuginfo-0.2-1.fc17.x86_64.rpm:
    
    pam_url-debuginfo = 1:0.2-1.fc17
    pam_url-debuginfo(x86-64) = 1:0.2-1.fc17



Unversioned so-files
--------------------
pam_url-0.2-1.fc17.x86_64.rpm: /lib64/security/pam_url.so

MD5-sum check
-------------
https://fedorahosted.org/releases/p/a/pam_url/pam_url-0.2.tar.bz2 :
  CHECKSUM(SHA256) this package     : 037126330c5fd1cb85599dd18596628f2da53471bcffa834f900e81d0caaf205
  CHECKSUM(SHA256) upstream package : 037126330c5fd1cb85599dd18596628f2da53471bcffa834f900e81d0caaf205


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-17-x86_64
Command line :/usr/bin/fedora-review -v -b 880842
Comment 3 Konstantin Ryabitsev 2012-11-27 17:34:11 EST
New Package SCM Request
=======================
Package Name: pam_url
Short Description: PAM module to authenticate with HTTP servers
Owners: icon
Branches: f17 f18 el6
InitialCC: herlo
Comment 4 Konstantin Ryabitsev 2012-11-27 18:09:53 EST
Sorry, let's do this instead -- I want herlo as co-maintainer, not as initialCC

New Package SCM Request
=======================
Package Name: pam_url
Short Description: PAM module to authenticate with HTTP servers
Owners: icon herlo
Branches: f17 f18 el6
InitialCC:
Comment 5 Kevin Fenzi 2012-11-27 18:18:39 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-12-03 13:23:13 EST
pam_url-0.3.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pam_url-0.3.1-1.fc18
Comment 7 Fedora Update System 2012-12-03 13:23:25 EST
pam_url-0.3.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pam_url-0.3.1-1.el6
Comment 8 Fedora Update System 2012-12-03 13:23:35 EST
pam_url-0.3.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pam_url-0.3.1-1.fc17
Comment 9 Fedora Update System 2012-12-03 15:36:20 EST
pam_url-0.3.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 10 Fedora Update System 2012-12-04 14:31:22 EST
pam_url-0.3.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pam_url-0.3.2-1.fc17
Comment 11 Fedora Update System 2012-12-04 14:31:34 EST
pam_url-0.3.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pam_url-0.3.2-1.el6
Comment 12 Fedora Update System 2012-12-04 14:31:45 EST
pam_url-0.3.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pam_url-0.3.2-1.fc18
Comment 13 Fedora Update System 2012-12-06 04:45:38 EST
pam_url-0.3.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pam_url-0.3.2-2.fc18
Comment 14 Fedora Update System 2012-12-06 04:46:23 EST
pam_url-0.3.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pam_url-0.3.2-2.fc17
Comment 15 Fedora Update System 2012-12-10 13:53:29 EST
pam_url-0.3.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2012-12-15 13:05:52 EST
pam_url-0.3.2-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-01-11 20:22:08 EST
pam_url-0.3.2-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.